import React, {useEffect} from 'react';
import {getAlbumsByQueryParams} from '../features/album/albumSlice';
import {useAppDispatch, useAppSelector} from '../store/hooks';
import {useLocation} from 'react-router-dom';

const Albums = () => {
	const {albums} = useAppSelector((state) => state.album);
	const dispatch = useAppDispatch();
	const params = new URLSearchParams(window.location.search);
	const artist = params.get('artist');
	const {state} = useLocation();

	useEffect(() => {
		dispatch(getAlbumsByQueryParams(artist!));
	}, [dispatch]);

	return (
		<div>
			<h2>{state.artist}</h2>
			{albums.map((album) => {
				return (
					<div key={album._id}>
						<img
							className="w-48 h-48 object-cover "
							src={`${import.meta.env.VITE_MY_URL}/${album.image}`}
							alt={album.name}
						/>
						<p>{album.name}</p>
						<p>{album.year}</p>
					</div>
				);
			})}
		</div>
	);
};

export default Albums;
